# FTXUI: TerminalInputParser Class Reference

Loading...
Searching...
No Matches
TerminalInputParser Class Reference

`#include <terminal_input_parser.hpp>`

## Public Member Functions

| TerminalInputParser (std::function< void(Event)> out)
void | Timeout (int time)
void | Add (char c)

## Detailed Description

Definition at line 17 of file terminal_input_parser.hpp.

## Constructor & Destructor Documentation

## TerminalInputParser()

TerminalInputParser | ( | std::function< void(Event)> | out | ) |

explicit

Definition at line 93 of file terminal_input_parser.cpp.

## Member Function Documentation

## Timeout()

void Timeout | ( | int | time | ) |

Definition at line 96 of file terminal_input_parser.cpp.

## Add()

void Add | ( | char | c | ) |

Definition at line 108 of file terminal_input_parser.cpp.

The documentation for this class was generated from the following files:

- terminal_input_parser.hpp
- terminal_input_parser.cpp